import { Head } from "$fresh/runtime.ts";
import { MainLayout } from "@components/layouts/main.tsx";

export default function Error404() {
  return (
    <>
      <Head>
        <title>404 - Page not found</title>
      </Head>
      <MainLayout>
        <div class="px-8 text-white mt-10">
          <div class="max-w-screen-md mx-auto flex flex-col items-center justify-center">
            <h1 class="text-4xl font-bold">404 - Page not found</h1>
            <p class="my-4">
              The page you were looking for doesn't exist.
            </p>
            <a href="/" class="underline">Go back home</a>
          </div>
        </div>
      </MainLayout>
    </>
  );
}
